"""Kaehmy urls."""

from django.urls import re_path
from django.conf import settings
from django.utils.translation import gettext_lazy as _

from kaehmy.views import view
from kaehmy.views import list_view
from kaehmy.views import submit
from kaehmy.views import comment
from kaehmy.views import statistics_view
from kaehmy.views import export_view

urlpatterns = [
    # kaehmy
    re_path(r"^new", view),
    re_path(r"^submit", submit),
    re_path(r"^add_comment", comment),
    re_path(r"^statistics", statistics_view),
    re_path(r"^export", export_view),
    re_path(r"^$", list_view),
]

if settings.DEBUG:
    from django.contrib.staticfiles.urls import staticfiles_urlpatterns

    urlpatterns += staticfiles_urlpatterns()
